Eclipse Remote Application Platform

## org.eclipse.rap.rwt.service
Interface IServiceStore

Deprecated. This interface will be removed in a future release without a replacement. If you need to store data in the scope of a request, consider to use the request object (e.g. `HttpServletRequest#setAttribute(String, Object)`).

    @Deprecated
    public interface IServiceStore

The service store can be used to store and retrieve information in the scope of a request.

Since:
  2.0
See Also:
  `RWT`

Method Summary
`java.lang.Object` `getAttribute(java.lang.String name)` Deprecated.
`void` `removeAttribute(java.lang.String name)` Deprecated.
`void` `setAttribute(java.lang.String name, java.lang.Object value)` Deprecated.

Method Detail

### getAttribute

    java.lang.Object getAttribute(java.lang.String name)

  Deprecated.

### setAttribute

    void setAttribute(java.lang.String name,
                      java.lang.Object value)

  Deprecated.

### removeAttribute

    void removeAttribute(java.lang.String name)

  Deprecated.

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0